Package org.eclipse.m2m.atl.adt.ui.preferences

# Class PreferencesAccess

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.PreferencesAccess

public class PreferencesAccess extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`applyChanges()`
Applies the changes
`org.eclipse.core.runtime.preferences.IScopeContext`
`getDefaultScope()`
`org.eclipse.core.runtime.preferences.IScopeContext`
`getInstanceScope()`
`static PreferencesAccess`
`getOriginalPreferences()`
`org.eclipse.core.runtime.preferences.IScopeContext`
`getProjectScope(org.eclipse.core.resources.IProject project)`
`static PreferencesAccess`
`getWorkingCopyPreferences(org.eclipse.ui.preferences.IWorkingCopyManager workingCopyManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getOriginalPreferences

public static PreferencesAccess getOriginalPreferences()

### getWorkingCopyPreferences

public static PreferencesAccess getWorkingCopyPreferences(org.eclipse.ui.preferences.IWorkingCopyManager workingCopyManager)

### getDefaultScope

public org.eclipse.core.runtime.preferences.IScopeContext getDefaultScope()

### getInstanceScope

public org.eclipse.core.runtime.preferences.IScopeContext getInstanceScope()

### getProjectScope

public org.eclipse.core.runtime.preferences.IScopeContext getProjectScope(org.eclipse.core.resources.IProject project)

### applyChanges

public void applyChanges() throws org.osgi.service.prefs.BackingStoreException
Applies the changes

Throws:
  `org.osgi.service.prefs.BackingStoreException` - thrown when the changes could not be applied